Subject: RFC 3479 on Fault Tolerance for the Label Distribution Protocol (LDP)

From: [email-masked]
Date: Wed, 19 Feb 2003 14:39:32 -0800

A new Request for Comments is now available in online RFC libraries.

        RFC 3479

        Title:      Fault Tolerance for the Label Distribution
                    Protocol (LDP)
        Author(s):  A. Farrel, Ed.
        Status:     Standards Track
        Date:       February 2003
        Mailbox:    [email-masked]
        Pages:      52
        Characters: 115778
        Updates/Obsoletes/SeeAlso:    None

        I-D Tag:    draft-ietf-mpls-ldp-ft-06.txt

        URL:        ftp://ftp.rfc-editor.org/in-notes/rfc3479.txt

Multiprotocol Label Switching (MPLS) systems will be used
in core networks where system downtime must be kept to an
absolute minimum.  Many MPLS Label Switching Routers
(LSRs) may, therefore, exploit Fault Tolerant (FT)
hardware or software to provide high availability of the
core networks.

The details of how FT is achieved for the various
components of an FT LSR, including Label Distribution
Protocol (LDP), the switching hardware and TCP, are
implementation specific.  This document identifies issues
in the LDP specification in RFC 3036, "LDP Specification",
that make it difficult to implement an FT LSR using the
current LDP protocols, and defines enhancements to the
LDP specification to ease such FT LSR implementations.

The issues and extensions described here are equally
applicable to RFC 3212, "Constraint-Based LSP Setup Using
LDP" (CR-LDP).

This document is a product of the Multiprotocol Label Switching
Working Group of the IETF.

This is now a Proposed Standard Protocol.

This document specifies an Internet standards track protocol for
the Internet community, and requests discussion and suggestions
for improvements.  Please refer to the current edition of the
"Internet Official Protocol Standards" (STD 1) for the
standardization state and status of this protocol.  Distribution
of this memo is unlimited.

This announcement is sent to the IETF list and the RFC-DIST list.
Requests to be added to or deleted from the IETF distribution list
should be sent to [email-masked].  Requests to be
added to or deleted from the RFC-DIST distribution list should
be sent to [email-masked].

Details on obtaining RFCs via FTP or EMAIL may be obtained by sending
an EMAIL message to [email-masked] with the message body 
help: ways_to_get_rfcs.  For example:

        To: [email-masked]
        Subject: getting rfcs

        help: ways_to_get_rfcs

Requests for special distribution should be addressed to either the
author of the RFC in question, or to [email-masked].  Unless
specifically noted otherwise on the RFC itself, all RFCs are for
unlimited distribution.echo 
Submissions for Requests for Comments should be sent to
[email-masked].  Please consult RFC 2223, Instructions to RFC
Authors, for further information.

Joyce K. Reynolds and Sandy Ginoza
USC/Information Sciences Institute

...

Below is the data which will enable a MIME compliant Mail Reader 
implementation to automatically retrieve the ASCII version
of the RFCs.

---

From: Sachin Kalra <[email-masked]>
Date: Thu, 20 Feb 2003 12:03:26 -0500

Dear MPLS Community:

Since last few months, all of the emails that come from 
[email-masked]' and [email-masked]' appears to be 
"Virus Infected".

If this is true, then either they should fix the mails before sending them 
out or [email-masked]' Mail server should filter out the infected mails.

Just a little thought.
Thanks,
Sachin Kalra

At 02:39 PM 2/19/03 -0800, [email-masked] wrote:
>Warning: This message has had one or more attachments removed
>Warning: (not named).
>Warning: Please read the "VirusWarning.txt" attachment(s) for more 
>information.
>
>  {Virus} RFC 3479 on Fault Tolerance for the Label Distribution Protocol 
> (LDP)
>This is a message from the MailScanner E-Mail Virus Protection Service
>----------------------------------------------------------------------
>The original e-mail attachment "msg-20929-502.msg"
>was believed to be infected by a virus and has been replaced by this warning
>message.
>
>If you wish to receive a copy of the *infected* attachment, please
>e-mail helpdesk and include the whole of this message
>in your request. Alternatively, you can call them, with
>the contents of this message to hand when you call.
>
>At Thu Feb 20 11:36:32 2003 the virus scanner said:
>    External message bodies cannot be scanned and are removed
>
>Note to Help Desk: Look on MailScanner on Mailserver1 in 
>/var/spool/MailScanner/quarantine/20030220 (message h1KGaS6Q000942).
>--
>Postmaster
>Mailscanner thanks transtec Computers for their support
>This is a message from the MailScanner E-Mail Virus Protection Service
>----------------------------------------------------------------------
>The original e-mail attachment "rfc3479.txt"
>was believed to be infected by a virus and has been replaced by this warning
>message.
>
>If you wish to receive a copy of the *infected* attachment, please
>e-mail helpdesk and include the whole of this message
>in your request. Alternatively, you can call them, with
>the contents of this message to hand when you call.
>
>At Thu Feb 20 11:36:32 2003 the virus scanner said:
>    External message bodies cannot be scanned and are removed
>
>Note to Help Desk: Look on MailScanner on Mailserver1 in 
>/var/spool/MailScanner/quarantine/20030220 (message h1KGaS6Q000942).
>--
>Postmaster
>Mailscanner thanks transtec Computers for their support